<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rj.mapper.VideoManagementMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.rj.entity.VideoManagement">
        <id column="id" property="id" />
        <result column="video_name" property="videoName" />
        <result column="dealership_id" property="dealershipId" />
        <result column="dealership_name" property="dealershipName" />
        <result column="sales_id" property="salesId" />
        <result column="sales_name" property="salesName" />
        <result column="customer_id" property="customerId" />
        <result column="customer_name" property="customerName" />
        <result column="customer_phone" property="customerPhone" />
        <result column="duration" property="duration" />
        <result column="record_time" property="recordTime" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, video_name, dealership_id, dealership_name, sales_id, sales_name, customer_id, customer_name, customer_phone, duration, record_time, create_time, update_time
    </sql>

</mapper>
